import * as actionTypes from './types';
import { IContent } from '@files-stack/client-core';
export declare type EditAction = ({
    type: actionTypes.OPEN_FILE;
    content: IContent;
}) | ({
    type: actionTypes.REMOVE_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.SELECT_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.CHANGE_EDIT;
    changed: boolean;
}) | ({
    type: actionTypes.ACTIVATE_EDITOR;
    editorId: number;
}) | ({
    type: actionTypes.UPDATE_EDITORS_HEIGHT;
    editorWrappers: any[];
}) | ({
    type: actionTypes.OPEN_MARKDOWN;
    content: IContent;
    previewEditorId: number;
}) | ({
    type: actionTypes.SAVE_ALL_EDITORS;
    allSave: boolean;
}) | ({
    type: actionTypes.CLOSE_ALL_EDITORS;
}) | ({
    type: actionTypes.KEEP_OPEN_EDITOR;
    content: IContent;
}) | ({
    type: actionTypes.CHANGE_EDITOR_SUBSCRIBES;
    editorSubscribes: string[];
}) | ({
    type: actionTypes.UPDATE_EDITOR_CONTENT;
    content: IContent;
}) | ({
    type: actionTypes.UPDATE_CHANGED_CONTENT;
    resource: string;
}) | ({
    type: actionTypes.OPEN_DIFF_EDITOR;
    content: IContent;
});
export declare const openFileAction: (content: IContent) => EditAction;
export declare const selectEditAction: (content: IContent) => EditAction;
export declare const removeEditAction: (content: IContent) => EditAction;
export declare const changeEditAction: (changed: boolean) => EditAction;
export declare const activateEditorAction: (editorId: number) => EditAction;
export declare const updateEditorsHeightAction: (editorWrappers: any[]) => EditAction;
export declare const openMarkdownAction: (content: IContent, previewEditorId: number) => EditAction;
export declare const saveAllEditorAction: (allSave: boolean) => EditAction;
export declare const closeAllEditorAction: () => EditAction;
export declare const keepOpenAction: (content: IContent) => EditAction;
export declare const changeEditorSubscribesAction: (editorSubscribes: string[]) => EditAction;
export declare const updateEditorContentAction: (content: IContent) => EditAction;
export declare const updateChangedContentAction: (resource: string) => EditAction;
export declare const openDiffEditorAction: (content: IContent) => EditAction;
